「Vla-put-fullscreentrackingvector」の版間の差分

提供:GizmoLabs - だいたい CAD LISP なサイト
(ページの作成:「{{AutoLISP}} ; 構文 : (vla-put-fullscreentrackingvector ''vla-object'' ''bool'') ; 機能 : 全スクリーン トラッキング ベクトルの表示を切り替す...」)
 
編集の要約なし
 
5行目: 5行目:


; 機能
; 機能
: 全スクリーン トラッキング ベクトルの表示を切り替する。
: 全スクリーン トラッキング ベクトルの表示を切り替える。




11行目: 11行目:
:* vla-object … PreferencesDrafting の VLAオブジェクト
:* vla-object … PreferencesDrafting の VLAオブジェクト
:* bool … ブール型
:* bool … ブール型
::* :vlax-True : 全スクリーン トラッキング ベクトルを有効にします。
::* :vlax-True : 全スクリーン トラッキング ベクトルを有効にする。
 
::* :vlax-False : 全スクリーン トラッキング ベクトルを無効にする。
::* :vlax-False : 全スクリーン トラッキング ベクトルを無効にします。





2016年1月15日 (金) 00:02時点における最新版

構文
(vla-put-fullscreentrackingvector vla-object bool)


機能
全スクリーン トラッキング ベクトルの表示を切り替える。


引数
  • vla-object … PreferencesDrafting の VLAオブジェクト
  • bool … ブール型
  • :vlax-True : 全スクリーン トラッキング ベクトルを有効にする。
  • :vlax-False : 全スクリーン トラッキング ベクトルを無効にする。


戻り値
nil


  • 注意 : このプロパティの初期値は True。このプロパティの値は、システム変数 TRACKPATH に格納される。


サンプル
(vl-load-com)
(defun c:Example_FullScreenTrackingVector()
    ;; This example reads and modifies the preference value that controls the display of full-screen tracking vectors.
    ;; When finished, this example resets the preference value back to
    ;; its original value.
    (setq acadObj (vlax-get-acad-object))
    (setq preferences (vla-get-Preferences acadObj))
  
    ;; Get the drafting preferences object
    (setq ACADPref (vla-get-Drafting preferences))
    
    ;; 規定値の読み込みと表示
    (setq originalValue (vla-get-FullScreenTrackingVector ACADPref))
    (alert (strcat "現在の FullScreenTrackingVector 値は: " (if (= originalValue :vlax-true) "True" "False")))

    ;; 全スクリーン トラッキング ベクトルをトグルで変更
    (vla-put-FullScreenTrackingVector ACADPref (if (= originalValue :vlax-true) :vlax-false :vlax-true))
    (setq newValue (vla-get-FullScreenTrackingVector ACADPref))
    (alert (strcat "FullScreenTrackingVector の設定をトグル : " (if (= newValue :vlax-true) "True" "False")))

    ;; 戻す
    (vla-put-FullScreenTrackingVector ACADPref originalValue)
    (alert (strcat "FullScreenTrackingVector 値を次に戻します : " (if (= originalValue :vlax-true) "True" "False")))
)


関連事項